// src/index.ts
import devtoolsPlugin from "@harlem/plugin-devtools";
import {
  createInstance as _createInstance,
  createVuePlugin as _createVuePlugin
} from "@harlem/core";
export * from "@harlem/core";
function wrapCreatePlugin(func) {
  return (options) => {
    const plugins = (options == null ? void 0 : options.plugins) || [];
    if (process.env.NODE_ENV === "development" || typeof __VUE_PROD_DEVTOOLS__ !== "undefined" && __VUE_PROD_DEVTOOLS__) {
      plugins.push(devtoolsPlugin());
    }
    return func({
      ...options,
      plugins
    });
  };
}
var createVuePlugin = wrapCreatePlugin(_createVuePlugin);
function createInstance() {
  const {
    createVuePlugin: createVuePlugin2,
    ...instance
  } = _createInstance();
  return {
    ...instance,
    createVuePlugin: wrapCreatePlugin(createVuePlugin2)
  };
}
export {
  createInstance,
  createVuePlugin
};
